{
  "meta": {
    "stableOrder": true,
    "enableUnifiedLockfile": false
  },
  "lockfileVersion": 3,
  "ATTENTION": "THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.",
  "specifiers": {
    "@alipay/afservicesdk@libs/AFServiceSDK.har": "@alipay/afservicesdk@libs/AFServiceSDK.har",
    "@alipay/blueshieldsdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.30.har": "@alipay/blueshieldsdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.30.har",
    "@candies/image_cropper@^1.1.1": "@candies/image_cropper@1.1.1",
    "@candies/image_editor@^1.0.0": "@candies/image_editor@1.0.0",
    "@cashier_alipay/cashiersdk@15.8.24": "@cashier_alipay/cashiersdk@15.8.43",
    "@cashier_alipay/cashiersdk@^15.8.43": "@cashier_alipay/cashiersdk@15.8.43",
    "@dcloudio/uni-app-harmony@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-app-harmony": "@dcloudio/uni-app-harmony@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-app-harmony",
    "@dcloudio/uni-app-runtime@^4.75.2025071101": "@dcloudio/uni-app-runtime@4.84.2025110301",
    "@dcloudio/uni-mp-sdk@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-mp-sdk": "@dcloudio/uni-mp-sdk@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-mp-sdk",
    "@ohos/axios@^2.2.8": "@ohos/axios@2.2.8",
    "@ohos/crypto-js@2.0.0": "@ohos/crypto-js@2.0.5",
    "@ohos/crypto-js@^2.0.4": "@ohos/crypto-js@2.0.5",
    "@ohos/hamock@1.0.0": "@ohos/hamock@1.0.0",
    "@ohos/hypium@1.0.25": "@ohos/hypium@1.0.25",
    "@ohos/videocompressor@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/libs/videoCompressor.har": "@ohos/videocompressor@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/libs/videoCompressor.har",
    "@pura/harmony-utils@^1.4.0": "@pura/harmony-utils@1.4.0",
    "@pura/picker_utils@^1.0.2": "@pura/picker_utils@1.0.2",
    "@taobao-ohos/utdid_sdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har": "@taobao-ohos/utdid_sdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har",
    "@tencent/wechat_open_sdk@^1.0.16": "@tencent/wechat_open_sdk@1.0.16",
    "@uni_modules/uni-payment-alipay@^1.0.2": "@uni_modules/uni-payment-alipay@1.0.2",
    "libblueshield.so@oh_modules/.ohpm/@alipay+blueshieldsdk@qgf9fllog8tazdv8uop120fy3saz8l+7jb55+sipesk=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield": "libblueshield.so@oh_modules/.ohpm/@alipay+blueshieldsdk@qgf9fllog8tazdv8uop120fy3saz8l+7jb55+sipesk=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield",
    "libjsruntime.so@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/cpp/types/libjsruntime": "libjsruntime.so@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/cpp/types/libjsruntime",
    "libutdid_native.so@oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native": "libutdid_native.so@oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native",
    "pako@^2.1.0": "pako@2.1.0"
  },
  "packages": {
    "@alipay/afservicesdk@libs/AFServiceSDK.har": {
      "name": "@alipay/afservicesdk",
      "version": "1.0.1",
      "resolved": "libs/AFServiceSDK.har",
      "registryType": "local",
      "dependencies": {
        "@ohos/crypto-js": "2.0.0"
      }
    },
    "@alipay/blueshieldsdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.30.har": {
      "name": "@alipay/blueshieldsdk",
      "version": "1.0.30",
      "resolved": "oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.30.har",
      "registryType": "local",
      "dependencies": {
        "libblueshield.so": "file:./src/main/cpp/types/libblueshield"
      }
    },
    "@candies/image_cropper@1.1.1": {
      "name": "@candies/image_cropper",
      "version": "1.1.1",
      "integrity": "sha512-vNbzWkGGYRASiRIyS+91O4wrGmt2/h1RyLKW1+PD5G9KjZOJkv7ahjwdI/syNGLDG7aS5Yvk+XlHfqt3jddz8g==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@candies/image_cropper/-/image_cropper-1.1.1.har",
      "registryType": "ohpm",
      "dependencies": {
        "@candies/image_editor": "^1.0.0"
      }
    },
    "@candies/image_editor@1.0.0": {
      "name": "@candies/image_editor",
      "version": "1.0.0",
      "integrity": "sha512-xYFQeR4FHYlzUrpPSgnKAXaydWfNaRwM12uPBqBdLQzpNL8OWIRcexL1Z9V7jm0OvKlIgVSr7VWW6c4mFKyJPg==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@candies/image_editor/-/image_editor-1.0.0.har",
      "registryType": "ohpm"
    },
    "@cashier_alipay/cashiersdk@15.8.43": {
      "name": "@cashier_alipay/cashiersdk",
      "version": "15.8.43",
      "integrity": "sha512-snzKHkmgrBHC4aWzFdNTZd3n3akdv3mPv71mIwvkzG7vefrMevy9BYx94to9XT3OmHHlIG9YP7jfwgfeBd2t+g==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@cashier_alipay/cashiersdk/-/cashiersdk-15.8.43.har",
      "registryType": "ohpm",
      "dependencies": {
        "@taobao-ohos/utdid_sdk": "file:./lib/utdid_sdk-1.2.5.har",
        "@alipay/blueshieldsdk": "file:./lib/blueshieldsdk-1.0.30.har",
        "pako": "^2.1.0"
      }
    },
    "@dcloudio/uni-app-harmony@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-app-harmony": {
      "name": "@dcloudio/uni-app-harmony",
      "version": "1.0.0",
      "resolved": "oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-app-harmony",
      "registryType": "local"
    },
    "@dcloudio/uni-app-runtime@4.84.2025110301": {
      "name": "@dcloudio/uni-app-runtime",
      "version": "4.84.2025110301",
      "integrity": "sha512-rvU2eXsjGYKQ9rdCh/fcOSI+61iTEpc8UWAzgq1291UTjpIVyM+gk2tc4GUyJpq+Kea44pSrohuetYtu5wQGFQ==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@dcloudio/uni-app-runtime/-/uni-app-runtime-4.84.2025110301.har",
      "registryType": "ohpm",
      "dependencies": {
        "libjsruntime.so": "./src/main/cpp/types/libjsruntime",
        "@dcloudio/uni-app-harmony": "./src/main/ets/uni-app-harmony",
        "@dcloudio/uni-mp-sdk": "./src/main/ets/uni-mp-sdk",
        "@ohos/videocompressor": "file:./libs/videoCompressor.har"
      }
    },
    "@dcloudio/uni-mp-sdk@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-mp-sdk": {
      "name": "@dcloudio/uni-mp-sdk",
      "version": "1.0.0",
      "resolved": "oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/ets/uni-mp-sdk",
      "registryType": "local"
    },
    "@ohos/axios@2.2.8": {
      "name": "@ohos/axios",
      "version": "2.2.8",
      "integrity": "sha512-3qWZN31bY1IMAKNLjIMu2wizXPYNNI/rE8Pmrtgs9z3RxetWhe31HnH4Jb3kBIwaehPlAHgv/It9bTU+8rJ45A==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@ohos/axios/-/axios-2.2.8.har",
      "registryType": "ohpm"
    },
    "@ohos/crypto-js@2.0.5": {
      "name": "@ohos/crypto-js",
      "version": "2.0.5",
      "integrity": "sha512-QPW+vxSambzep39qnnvGLk2lItqPqt+HBTo7FsTdL9edv3z35h4D80ClnEPNPfXQzIp8DgVDMIgbAWa1hWq8ug==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@ohos/crypto-js/-/crypto-js-2.0.5.har",
      "registryType": "ohpm"
    },
    "@ohos/hamock@1.0.0": {
      "name": "@ohos/hamock",
      "version": "1.0.0",
      "integrity": "sha512-K6lDPYc6VkKe6ZBNQa9aoG+ZZMiwqfcR/7yAVFSUGIuOAhPvCJAo9+t1fZnpe0dBRBPxj2bxPPbKh69VuyAtDg==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@ohos/hamock/-/hamock-1.0.0.har",
      "registryType": "ohpm"
    },
    "@ohos/hypium@1.0.25": {
      "name": "@ohos/hypium",
      "version": "1.0.25",
      "integrity": "sha512-l6uO2pjl8HyEKdekLqQt7tUpWbDqX/42zoAzkagtUVZAW9jT6lMvbe54MVjoLxq/RwQGygRvi6j4GpypSMFSHw==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@ohos/hypium/-/hypium-1.0.25.har",
      "registryType": "ohpm"
    },
    "@ohos/videocompressor@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/libs/videoCompressor.har": {
      "name": "@ohos/videocompressor",
      "version": "1.0.4",
      "resolved": "oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/libs/videoCompressor.har",
      "registryType": "local"
    },
    "@pura/harmony-utils@1.4.0": {
      "name": "@pura/harmony-utils",
      "version": "1.4.0",
      "integrity": "sha512-nxEYuXZCQHY+ycjsJ3u6oHCsJMlXfYePhbTz+k0yAn6AzvqvuhbJcUpZj02CBF4ym/1jXICsDVcHKnQGoVMGaw==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@pura/harmony-utils/-/harmony-utils-1.4.0.har",
      "registryType": "ohpm"
    },
    "@pura/picker_utils@1.0.2": {
      "name": "@pura/picker_utils",
      "version": "1.0.2",
      "integrity": "sha512-m4YO7BTtYhCq0ITTXHGh45206JxnBmBB5067PVUhbqqBeZ7OC8Cror++f8OW2Q/clIIvps82h4LX5fx2sBOhQw==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@pura/picker_utils/-/picker_utils-1.0.2.har",
      "registryType": "ohpm"
    },
    "@taobao-ohos/utdid_sdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har": {
      "name": "@taobao-ohos/utdid_sdk",
      "version": "1.2.5",
      "resolved": "oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.43/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har",
      "registryType": "local",
      "dependencies": {
        "libutdid_native.so": "file:./src/main/cpp/types/libutdid_native",
        "@ohos/crypto-js": "^2.0.4"
      }
    },
    "@tencent/wechat_open_sdk@1.0.16": {
      "name": "@tencent/wechat_open_sdk",
      "version": "1.0.16",
      "integrity": "sha512-/vqcsHFQlQ1UWybijbRTWlT+9BqRUcE/FWsYayEoVwreOeGJ/pdxNHZFkU0EManYRxnqzLoL4SB8HGJNdsm9TA==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@tencent/wechat_open_sdk/-/wechat_open_sdk-1.0.16.har",
      "registryType": "ohpm"
    },
    "@uni_modules/uni-payment-alipay@1.0.2": {
      "name": "@uni_modules/uni-payment-alipay",
      "version": "1.0.2",
      "integrity": "sha512-nI1N1ydXTHoh6iRB8CL2uyggfrDPcE6sKaFOJy2HYLHk3sIhLVGBkO0IAN1RgrogPLvID8jiw69CfMnNpMPv8Q==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/@uni_modules/uni-payment-alipay/-/uni-payment-alipay-1.0.2.har",
      "registryType": "ohpm",
      "dependencies": {
        "@cashier_alipay/cashiersdk": "15.8.24"
      }
    },
    "libblueshield.so@oh_modules/.ohpm/@alipay+blueshieldsdk@qgf9fllog8tazdv8uop120fy3saz8l+7jb55+sipesk=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield": {
      "name": "libblueshield.so",
      "version": "1.0.8",
      "resolved": "oh_modules/.ohpm/@alipay+blueshieldsdk@qgf9fllog8tazdv8uop120fy3saz8l+7jb55+sipesk=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield",
      "registryType": "local"
    },
    "libjsruntime.so@oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/cpp/types/libjsruntime": {
      "name": "libjsruntime.so",
      "version": "1.0.0",
      "resolved": "oh_modules/.ohpm/@dcloudio+uni-app-runtime@4.84.2025110301/oh_modules/@dcloudio/uni-app-runtime/src/main/cpp/types/libjsruntime",
      "registryType": "local"
    },
    "libutdid_native.so@oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native": {
      "name": "libutdid_native.so",
      "version": "0.0.1",
      "resolved": "oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native",
      "registryType": "local"
    },
    "pako@2.1.0": {
      "name": "pako",
      "version": "2.1.0",
      "integrity": "sha512-w+eufiZ1WuJYgPXbV/PO3NCMEc3xqylkKHzp8bxp1uW4qaSNQUkwmLLEc3kKsfz8lpV1F8Ht3U1Cm+9Srog2ug==",
      "resolved": "https://ohpm.openharmony.cn/ohpm/pako/-/pako-2.1.0.tgz",
      "shasum": "266cc37f98c7d883545d11335c00fbd4062c9a86",
      "registryType": "ohpm"
    }
  }
}